Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 770070 - app-doc/doxygen-1.9.1[doc, clang] error: Tag file 'example.tag' does not exist or is not a file. Skipping it...
Summary: app-doc/doxygen-1.9.1[doc, clang] error: Tag file 'example.tag' does not exis...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 2 votes (vote)
Assignee: Matthias Maier
URL:
Whiteboard:
Keywords:
: 829919 (view as bug list)
Depends on: 844220
Blocks: 768921
  Show dependency tree
 
Reported: 2021-02-11 13:45 UTC by Rolf Eike Beer
Modified: 2022-05-14 20:08 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,229.21 KB, text/plain)
2021-02-11 13:45 UTC, Rolf Eike Beer
Details
doxygen-1.9.1:20211001-145241.log (doxygen-1.9.1:20211001-145241.log,279.24 KB, text/plain)
2021-10-01 16:07 UTC, Bernd
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rolf Eike Beer archtester 2021-02-11 13:45:20 UTC
Created attachment 686340 [details]
build.log

Portage 3.0.13 (python 3.8.7-final-0, default/linux/sparc/17.0, gcc-9.3.0, glibc-2.32-r6, 5.10.9-gentoo-sparc64 sparc64)
=================================================================
System uname: Linux-5.10.9-gentoo-sparc64-sparc64-sun4v-with-glibc2.1.3
KiB Mem:    33076816 total,  13071176 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Thu, 11 Feb 2021 01:15:01 +0000
Head commit of repository gentoo: 96347408c4db3568d2f2adcf3fc08689cdc4eb8a
sh bash 5.0_p18
ld GNU ld (Gentoo 2.34 p6) 2.34.0
ccache version 4.1 [disabled]
app-shells/bash:          5.0_p18::gentoo
dev-lang/perl:            5.30.3::gentoo
dev-lang/python:          2.7.18-r6::gentoo, 3.6.12-r2::gentoo, 3.7.9-r2::gentoo, 3.8.7-r1::gentoo, 3.9.1-r1::gentoo
dev-util/ccache:          4.1::gentoo
dev-util/cmake:           3.18.5::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1-r1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.16.2-r1::gentoo
sys-devel/binutils:       2.34-r2::gentoo, 2.35.1-r1::gentoo
sys-devel/gcc:            8.4.0-r2::gentoo, 9.3.0-r2::gentoo
sys-devel/gcc-config:     2.3.2-r1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.10::gentoo (virtual/os-headers)
sys-libs/glibc:           2.32-r6::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage/
    priority: -1000
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts: 

qt
    location: /var/lib/layman/qt
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="sparc"
ACCEPT_LICENSE="* -@EULA"
CBUILD="sparc-unknown-linux-gnu"
CFLAGS="-O2 -mcpu=niagara2 -pipe -Wcast-align"
CHOST="sparc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/bind /var/qmail/alias /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.3/ext-active/ /etc/php/apache2-php7.4/ext-active/ /etc/php/cgi-php7.3/ext-active/ /etc/php/cgi-php7.4/ext-active/ /etc/php/cli-php7.3/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -mcpu=niagara2 -pipe -Wcast-align"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS=""
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS=""
GENTOO_MIRRORS="ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j20 -l40"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl berkdb big-endian bzip2 cli crypt dri fortran gdbm iconv ipv6 libglvnd libtirpc ncurses nls nptl openmp pam pcre readline sparc split-usr ssl tcpd unicode xattr zlib" ADA_TARGET="gnat_2018" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-3 php7-4" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_8" PYTHON_TARGETS="python3_8" RUBY_TARGETS="ruby26" USERLAND="GNU" VIDEO_CARDS="fbdev glint mga r128 radeon dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Ionen Wolkens gentoo-dev 2021-02-11 15:49:01 UTC
Can reproduce on ~amd64 with USE=doc while stable doxygen-1.8.17-r1 works.
Comment 2 Larry the Git Cow gentoo-dev 2021-03-15 11:39:33 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ddf200d6670ca82f7397bb898aa35ba1137c259

commit 6ddf200d6670ca82f7397bb898aa35ba1137c259
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-03-15 11:38:38 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-03-15 11:39:08 +0000

    app-doc/doxygen: fix USE=doc build
    
    * Build source code first, as per upstream
    * Use -j1 when building docs to avoid strange race condition
    
    Closes: https://bugs.gentoo.org/770070
    Signed-off-by: Sam James <sam@gentoo.org>

 app-doc/doxygen/doxygen-1.9.1.ebuild | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)
Comment 3 Bernd 2021-08-14 10:05:33 UTC
This happened today again when re-emerging the package. My last build was back in May, so already after the above patch has been applied.
It's reproducible on my machine, but I wasn't able to solve it.
Comment 4 Klaus Kusche 2021-09-11 07:30:50 UTC
Same problem here, bug still exists, doxygen 1.9.1.

Please reopen.
Comment 5 Rolf Eike Beer archtester 2021-09-11 08:23:46 UTC
Are you sure you see the "example.tag" error again? I see something different now, just filed as bug #812572.
Comment 6 Bernd 2021-10-01 16:05:44 UTC
Yes it's the example.tag error for me.
Comment 7 Bernd 2021-10-01 16:07:00 UTC
Created attachment 742395 [details]
doxygen-1.9.1:20211001-145241.log

latest build log
Comment 8 Matthew Smith gentoo-dev 2021-12-24 15:46:52 UTC
*** Bug 829919 has been marked as a duplicate of this bug. ***
Comment 9 Red 2022-01-07 22:11:18 UTC
I'm having this problem too with =app-doc/doxygen-1.9.1 when USE=doc is enabled. Please reopen.
Comment 10 Lars 2022-03-09 08:44:39 UTC
I can confirm this issue. It does *not* occur with

USE="-clang doc" emerge -v1 app-doc/doxygen


This this Bug should be called:

app-doc/doxygen-1.9.1[doc,*clang*] error: Tag file 'example.tag' does not exist or is not a file. Skipping it...
Comment 11 Bernd 2022-03-09 18:15:51 UTC
I can confirm the fix to USE="-clang doc" solving the issue with 1.9.1.

However, this seems to be fixed in 1.9.2 and 1.9.3. I can build the package with both clang and doc USE flag enabled on these versions.
Comment 12 Matthias Maier gentoo-dev 2022-05-14 20:06:23 UTC
This does not occur in 1.9.1 and 1.9.2. Let's stabilize 1.9.2.